<?php
/* Autor...:  */
/* Esquema.: PRD_EquipoHerramienta.xml */
/* Generado: 2021-03-29 22:24:40 */

/* Metodos de acceso a los campos de la tabla PRD_EquipoHerramienta */
abstract class BasePRD_EquipoHerramientaBN
{
    /* Campos de la tabla */
    private $i_IdEquiHerr;    // IdEquiHerr: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_UsuarioRegistro;    // UsuarioRegistro: ( no definido )
    private $d_FechaRegistro;    // FechaRegistro: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )

    /* Establece el valor del campo IdEquiHerr */
    public function setIdEquiHerr( $i_IdEquiHerr )
    {
        $this->i_IdEquiHerr = $i_IdEquiHerr;
    }

    /* Obtiene el valor del campo IdEquiHerr */
    public function getIdEquiHerr()
    {
        return $this->i_IdEquiHerr;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo UsuarioRegistro */
    public function setUsuarioRegistro( $s_UsuarioRegistro )
    {
        $this->s_UsuarioRegistro = $s_UsuarioRegistro;
    }

    /* Obtiene el valor del campo UsuarioRegistro */
    public function getUsuarioRegistro()
    {
        return $this->s_UsuarioRegistro;
    }

    /* Establece el valor del campo FechaRegistro */
    public function setFechaRegistro( $d_FechaRegistro )
    {
        $this->d_FechaRegistro = $d_FechaRegistro;
    }

    /* Obtiene el valor del campo FechaRegistro */
    public function getFechaRegistro()
    {
        return $this->d_FechaRegistro;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdEquiHerr' => $this->getIdEquiHerr(),
            'Descripcion' => $this->getDescripcion(),
            'Estado' => $this->getEstado(),
            'UsuarioRegistro' => $this->getUsuarioRegistro(),
            'FechaRegistro' => $this->getFechaRegistro(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto PRD_EquipoHerramientaBN desde un RecordSet */
    public static function retrieveByRs( $o_PRD_EquipoHerramientaRs )
    {
        $o_PRD_EquipoHerramientaBN = new PRD_EquipoHerramientaBN();
        $o_PRD_EquipoHerramientaBN->setIdEquiHerr( ( integer ) $o_PRD_EquipoHerramientaRs[ "IdEquiHerr" ] );
        $o_PRD_EquipoHerramientaBN->setDescripcion( $o_PRD_EquipoHerramientaRs[ "Descripcion" ] );
        $o_PRD_EquipoHerramientaBN->setEstado( $o_PRD_EquipoHerramientaRs[ "Estado" ] );
        $o_PRD_EquipoHerramientaBN->setUsuarioRegistro( $o_PRD_EquipoHerramientaRs[ "UsuarioRegistro" ] );
        $o_PRD_EquipoHerramientaBN->setFechaRegistro( utilTimestamp::getTimestamp( $o_PRD_EquipoHerramientaRs[ "FechaRegistro" ], "Y-m-d H:i:s" ) );
        $o_PRD_EquipoHerramientaBN->setUsuarioModificacion( $o_PRD_EquipoHerramientaRs[ "UsuarioModificacion" ] );
        $o_PRD_EquipoHerramientaBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_PRD_EquipoHerramientaRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        return $o_PRD_EquipoHerramientaBN;
    }
}
?>